LibreOffice: RadioButton Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
RadioButton Service Referencepublished

specifies a component which acts as a radio button as needed in HTMLForms. More...

`import"RadioButton.idl";`

Inheritance diagram for RadioButton:

## Included Services
service | com::sun::star::awt::UnoControlRadioButtonModel
service | com::sun::star::form::FormControlModel
Included Services inherited from UnoControlRadioButtonModel
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel. More...
Included Services inherited from FormControlModel
service | com::sun::star::awt::UnoControlModel
service | com::sun::star::form::FormComponent

## Exported Interfaces
interface | com::sun::star::form::XReset
| can be used to reset the control to its default text. More...
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Exported Interfaces inherited from FormControlModel
interface | com::sun::star::beans::XFastPropertySet
| This optional interface gives an efficient access to all properties at once or an ability to set more than one property at once. More...
interface | com::sun::star::beans::XPropertyState
| This optional interface gives access to the state of the properties, e.g. More...
Exported Interfaces inherited from FormComponent
interface | com::sun::star::form::XFormComponent
| identifies the component as a candidate for being part of a form. More...
interface | com::sun::star::lang::XComponent
| allows life-time control of form components. More...
interface | com::sun::star::container::XNamed
| Each FormComponent must supply a name for identification. More...
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...
interface | com::sun::star::io::XPersistObject
| Each FormComponent must be able to be stored into and read from a stream. More...
interface | com::sun::star::beans::XPropertyBag
| allows to associate arbitrary properties with the form component More...
Exported Interfaces inherited from XPropertyBag
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XPropertyContainer
interface | com::sun::star::beans::XPropertyAccess

## Public Attributes
short | DefaultState
| contains a default value for the control. More...
string | RefValue
| contains a reference value which is used for submission in a HTML form. More...
string | UncheckedRefValue
| specifies a value which is to be associated with the control when it's not selected. More...
Public Attributes inherited from UnoControlRadioButtonModel
short | Align
| specifies the horizontal alignment of the text in the control. More...
long | BackgroundColor
| specifies the background color (RGB) of the control. More...
boolean | Enabled
| determines whether the control is enabled or disabled. More...
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control. More...
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control. More...
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control. More...
string | HelpText
| specifies the help text of the control. More...
string | HelpURL
| specifies the help URL of the control. More...
short | ImagePosition
| specifies the position of the image, if any, relative to the text, if any More...
string | ImageURL
| specifies a URL to an image to display besides the label of the control More...
com::sun::star::graphic::XGraphic | Graphic
| specifies a graphic to be displayed besides the label of the control More...
string | Label
| specifies the label of the control. More...
boolean | MultiLine
| specifies that the text may be displayed on more than one line. More...
boolean | Printable
| specifies that the control will be printed with the document. More...
short | State
| specifies the state of the control. More...
boolean | Tabstop
| specifies that the control can be reached with the TAB key. More...
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) of the control. More...
com::sun::star::util::Color | TextLineColor
| specifies the text line color (RGB) of the control. More...
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control. More...
short | VisualEffect
| specifies a visual effect to apply to the radio button control. More...
short | WritingMode
| denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group. More...
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model. More...
Public Attributes inherited from FormControlModel
short | ClassId
| specifies the ID for classification of the component. More...
short | TabIndex
| determines the relative taborder of the control associated with the model. More...
string | Tag
| used for additional information. More...
Public Attributes inherited from FormComponent
string | Name
| the name of the component. More...

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XReset
void | reset ()
| resets a component to some default value. More...
void | addResetListener ([in] com::sun::star::form::XResetListener aListener)
| adds the specified listener to receive events related to resetting the component. More...
void | removeResetListener ([in] com::sun::star::form::XResetListener aListener)
| removes the specified listener More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Protected Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object. More...
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object. More...
Protected Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties. More...
Protected Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name. More...
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value. More...
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control. More...
string | Name
| specifies the name of the control. More...
string | PositionX
| specifies the horizontal position of the control. More...
string | PositionY
| specifies the vertical position of the control. More...
long | Step
| specifies the step of the control. More...
short | TabIndex
| specifies the tabindex of the control. More...
string | Tag
| specifies the tag of the control. More...
long | Width
| specifies the width of the control. More...

## Detailed Description

specifies a component which acts as a radio button as needed in HTMLForms.

Radio buttons are controls which can be grouped together, and in every group, only one of the controls can be check. This means if one of them is checked by a user interaction, all other controls in the same group are automatically unchecked

Like in HTML, radio buttons are grouped together if and only if they have the same name (see com::sun::star::form::FormComponent::Name).

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlRadioButtonModel

service com::sun::star::awt::UnoControlRadioButtonModel

## ◆ com::sun::star::form::FormControlModel

service com::sun::star::form::FormControlModel

## Exported Interfaces

## ◆ com::sun::star::form::XReset

interface com::sun::star::form::XReset

can be used to reset the control to its default text.

See also
  RadioButton::DefaultState

## Member Data Documentation

## ◆ DefaultState

short DefaultState
| property

contains a default value for the control.

This value is used when the control is initially displayed, and for resetting it.

In a group of radio buttons only one button should be checked by default.

See also
  com::sun::star::awt::UnoControlRadioButtonModel::State
  com::sun::star::form::XReset

## ◆ RefValue

string RefValue
| property

contains a reference value which is used for submission in a HTML form.

If the form the control belongs to is to be submitted (see com::sun::star::form::XSubmit), and the control is checked, this reference value is used for submission.

## ◆ UncheckedRefValue

string UncheckedRefValue
| optionalproperty

specifies a value which is to be associated with the control when it's not selected.

In various situations, the RefValue is associated with the control if and only if it is selected.
UncheckedRefValue provides an extension of this concept: If present, the value should be associated with the control when it is not selected.

The documentation for this service was generated from the following file:

- com/sun/star/form/component/RadioButton.idl